USASCIIEscaper (JiBX Java data binding to XML - Version 1.2.6)
Date: 2014-12-30

org.jibx.runtime.impl

## Class USASCIIEscaper

- java.lang.Object
- - org.jibx.runtime.impl.USASCIIEscaper

- All Implemented Interfaces:
    ICharacterEscaper

      public class USASCIIEscaper
      extends java.lang.Object
      implements ICharacterEscaper

  Handler for writing ASCII output stream. This code is specifically for XML 1.0 and would require changes for XML 1.1 (to handle the added legal characters, rather than throwing an exception).
  Version:
    1.0
  Author:
    Dennis M. Sosnoski

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ICharacterEscaper` | `getInstance()` Get instance of escaper.
    `void` | `writeAttribute(java.lang.String text, java.io.Writer writer)` Write attribute value with character entity substitutions.
    `void` | `writeCData(java.lang.String text, java.io.Writer writer)` Write CDATA to document.
    `void` | `writeContent(java.lang.String text, java.io.Writer writer)` Write content value with character entity substitutions.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### writeAttribute

          public void writeAttribute(java.lang.String text,
                            java.io.Writer writer)
                              throws java.io.IOException

      Write attribute value with character entity substitutions. This assumes that attributes use the regular quote ('"') delimitor.
      Specified by:
        `writeAttribute` in interface `ICharacterEscaper`
      Parameters:
        `text` - attribute value text
        `writer` - sink for output text
      Throws:
        `java.io.IOException` - on error writing to document

    - #### writeContent

          public void writeContent(java.lang.String text,
                          java.io.Writer writer)
                            throws java.io.IOException

      Write content value with character entity substitutions.
      Specified by:
        `writeContent` in interface `ICharacterEscaper`
      Parameters:
        `text` - content value text
        `writer` - sink for output text
      Throws:
        `java.io.IOException` - on error writing to document

    - #### writeCData

          public void writeCData(java.lang.String text,
                        java.io.Writer writer)
                          throws java.io.IOException

      Write CDATA to document. This writes the beginning and ending sequences for a CDATA section as well as the actual text, verifying that only characters allowed by the encoding are included in the text.
      Specified by:
        `writeCData` in interface `ICharacterEscaper`
      Parameters:
        `text` - content value text
        `writer` - sink for output text
      Throws:
        `java.io.IOException` - on error writing to document

    - #### getInstance

          public static ICharacterEscaper getInstance()

      Get instance of escaper.
      Returns:
        escaper instance

Project Web Site |